=== debian/changelog ===
netplan.io (0.103-0ubuntu7) impish; urgency=medium

  * Add d/p/0006-netplan-set-make-it-possible-to-unset-a-whole-devtyp.patch:
    Fix unset of a devtype subtree, e.g. "netplan set network.ethernets=null".
    (LP: #1942930)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 05 Oct 2021 09:41:31 +0200

netplan.io (0.103-0ubuntu6) impish; urgency=medium

  * Add d/p/0005-Implement-YAML-state-tracking-and-use-it-in-the-DBus.patch:
    Allow to pass a state to netplan apply/try so it can cleanup unused
    virtual network interfaces after itself. Make use of this functionality
    inside the DBus Config.Try()/Apply() API and the 'netplan try' CLI.
    (LP: #1943120)

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 27 Sep 2021 16:47:30 +0200

netplan.io (0.103-0ubuntu5) impish; urgency=medium

  * d/patches/nm-1.32.10-compat.patch: ensure the integration tests can manage
    renamed veths (as NetworkManager is better at ignoring these now).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 01 Sep 2021 16:40:01 +1200

netplan.io (0.103-0ubuntu4) impish; urgency=medium

  * d/p/autopkgtest-fixes.patch: Improve autopkgtest stability.

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 19 Aug 2021 16:30:27 +0200

netplan.io (0.103-0ubuntu3) impish; urgency=medium

  [ Helmut Grohne ]
  * Annotate Build-Depends with <!nocheck>. (Closes: #961466)

  [ Lukas Märdian ]
  * New upstream release: 0.103
    - Add YAML generator and Keyfile parser for NetworkManager YAML backend
    - Add activation-mode parameter, needs systemd v248+ (LP: #1664844)
    - Make use of systemd-networkd's reload/reconfigure commands
    - Deprecate gateway4 & gateway6 in favor of defaults routes (LP: #1756590)
    - Add io.netplan.Netplan.Generate() DBus method
    - Changed the way of how unmanaged-devices are handled by NetworkManager
    - Improve integration test suite (LP: #1922126)
    Bug fixes:
    - Fix ABI regression introduced in 0.102 (LP: #1922898)
    - Fix netplan set if used across partitions (LP: #1930675)
    - Fix handling of multiple gateway4/gateway6 fields (LP: #1901836)
    - Fix parsing of ovs values with colons (LP: #1913906)
    - Fix failure with set-name and bridges
  * Bump systemd dependency to >= v248 for the activation-mode feature
  * Update debian/watch file
  * Drop patches applied upstream
    - Add 0001-parse-nm-fix-32bit-format-string.patch
    - Add d/p/0002-Revert-cli-apply-reload-reconfigure-networkd-instead.patch
      This reverts the systemd-networkd reload/reconfigure usage, due to a
      bug in systemd (< v249) https://github.com/systemd/systemd/issues/18108
  * Update Standards-Version to 4.5.1, no changes required
  * Add Rules-Requires-Root: no to debian/control
  * Add debian/upstream/metadata file

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 06 Aug 2021 07:56:49 +0200

netplan.io (0.102-0ubuntu6) impish; urgency=medium

  * Add d/p/0004-Improve-integration-tests-interface-ready-waiting-lo.patch
    - Cherry-picked from upstream 9ae9eb7 (LP: #1922126)
  * Add d/p/0005-Fix-NM-unmanaged-devices-changes-behavior-201.patch
    - Cherry-picked from upstream 44dab84
  * Allow running tests in containers, do not break testbed

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 15 Jul 2021 15:34:28 +0200

netplan.io (0.102-0ubuntu4) impish; urgency=medium

  * Refresh regression patch, using gbp
  * Improve flakey wireguard test
  * Skip flaky 'regressions' test on armhf/LXD

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 04 May 2021 10:06:08 +0200

netplan.io (0.102-0ubuntu3) hirsute; urgency=medium

  * Fix regression (LP: #1922898) for good, by avoiding to break the ABI
    This reverts the "Added ttl option for tunnels" feature
  * Revert previous fix of strict libnetplan dependency

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 19 Apr 2021 13:33:19 +0200
