=== debian/control ===
Source: netplan.io
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>,
 Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>
Section: net
Priority: optional
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 bash-completion,
 libyaml-dev,
 libglib2.0-dev,
 uuid-dev,
 python3 (>= 3.1),
 python3-coverage <!nocheck>,
 python3-yaml <!nocheck>,
 python3-netifaces <!nocheck>,
 libsystemd-dev,
 systemd,
 dbus-x11 <!nocheck>,
 pyflakes3 <!nocheck>,
 pycodestyle <!nocheck> | pep8 <!nocheck>,
 python3-nose <!nocheck>,
 pandoc,
 openvswitch-switch <!nocheck>,
Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
Vcs-Browser: https://salsa.debian.org/debian/netplan.io
Homepage: https://netplan.io/

Package: netplan.io
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 iproute2,
 libnetplan0 (>= ${binary:Version}),
 python3,
 python3-yaml,
 python3-netifaces,
 systemd (>= 248~),
Suggests:
 network-manager | wpasupplicant,
 openvswitch-switch,
Conflicts: netplan
Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-1)
Replaces: nplan (<< 0.34~)
Provides: nplan
Description: YAML network configuration abstraction for various backends
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.

Package: libnetplan0
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: YAML network configuration abstraction runtime library
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package contains the necessary runtime library files.

Package: libnetplan-dev
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
 libnetplan0 (= ${binary:Version}),
Description: Development files for netplan's libnetplan runtime library
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package contains development files for developers wanting to use
 libnetplan in their applications.
