=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>
 Section: net
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -39,7 +39,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  iproute2,
- libnetplan0 (>= ${binary:Version}),
+ libnetplan0 (= ${binary:Version}),
  python3,
  python3-yaml,
  python3-netifaces,
@@ -61,6 +61,7 @@
  Currently supported backends are networkd and NetworkManager.
 
 Package: libnetplan0
+Section: libs
 Architecture: linux-any
 Multi-Arch: same
 Depends:
@@ -78,6 +79,7 @@
  This package contains the necessary runtime library files.
 
 Package: libnetplan-dev
+Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
