=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
   systemd,
   network-manager,
   hostapd,
+  wpasupplicant,
   dnsmasq-base,
   libnm0,
   python3-gi,
@@ -18,6 +19,7 @@
   systemd,
   network-manager,
   hostapd,
+  wpasupplicant,
   dnsmasq-base,
   libnm0,
   python3-gi,
@@ -31,6 +33,7 @@
   systemd,
   network-manager,
   hostapd,
+  wpasupplicant,
   dnsmasq-base,
   libnm0,
   python3-gi,
@@ -44,6 +47,7 @@
   systemd,
   network-manager,
   hostapd,
+  wpasupplicant,
   dnsmasq-base,
   libnm0,
   python3-gi,
@@ -57,6 +61,7 @@
   systemd,
   network-manager,
   hostapd,
+  wpasupplicant,
   dnsmasq-base,
   libnm0,
   python3-gi,
@@ -70,6 +75,7 @@
   systemd,
   network-manager,
   hostapd,
+  wpasupplicant,
   dnsmasq-base,
   libnm0,
   python3-gi,
@@ -83,6 +89,7 @@
   systemd,
   network-manager,
   hostapd,
+  wpasupplicant,
   dnsmasq-base,
   libnm0,
   python3-gi,
@@ -96,6 +103,7 @@
   systemd,
   network-manager,
   hostapd,
+  wpasupplicant,
   dnsmasq-base,
   libnm0,
   python3-gi,
@@ -110,6 +118,7 @@
   systemd,
   network-manager,
   hostapd,
+  wpasupplicant,
   dnsmasq-base,
   libnm0,
   python3-gi,
@@ -121,10 +130,3 @@
 Tests-Directory: tests/integration
 Depends: @,
   systemd,
-  network-manager,
-  hostapd,
-  dnsmasq-base,
-  libnm0,
-  python3-gi,
-  gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-container
