## netplan.io 0.105

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	-g \
 	-fPIC \
 	-std=c99 \
-	-D_XOPEN_SOURCE=500 \
+	-D_XOPEN_SOURCE=700 \
 	-DSBINDIR=\"$(SBINDIR)\" \
 	-I${CURDIR}/include \
 	-Wall \
@@ -52,7 +52,7 @@
 
 default: netplan/_features.py generate netplan-dbus dbus/io.netplan.Netplan.service doc/netplan.html doc/netplan.5 doc/netplan-generate.8 doc/netplan-apply.8 doc/netplan-try.8 doc/netplan-dbus.8 doc/netplan-get.8 doc/netplan-set.8
 
-%.o: src/%.c
+%.o: src/%.c src/_features.h
 	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -c $^ `pkg-config --cflags --libs glib-2.0 gio-2.0 yaml-0.1 uuid`
 
 libnetplan.so.$(NETPLAN_SOVER): $(SRCS) abicompat.lds
@@ -62,7 +62,7 @@
 generate: libnetplan.so.$(NETPLAN_SOVER) generate.o
 	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(filter-out $<,$^) -L. -lnetplan `pkg-config --cflags --libs glib-2.0 gio-2.0 yaml-0.1 uuid`
 
-netplan-dbus: libnetplan.so.$(NETPLAN_SOVER) src/_features.h dbus.o
+netplan-dbus: libnetplan.so.$(NETPLAN_SOVER) dbus.o
 	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(filter-out $<,$(patsubst %.h,,$^)) -L. -lnetplan `pkg-config --cflags --libs libsystemd glib-2.0 gio-2.0 yaml-0.1 uuid`
 
 src/_features.h: src/[^_]*.[hc]
@@ -77,7 +77,7 @@
 	echo "]" >> $@
 
 clean:
-	rm -f netplan/_features.py src/_features.h
+	rm -f netplan/_features.py src/_features.h src/_features.h.gch
 	rm -f generate doc/*.html doc/*.[1-9]
 	rm -f *.o *.so*
 	rm -f netplan-dbus dbus/*.service
@@ -86,8 +86,8 @@
 	find . | grep -E "(__pycache__|\.pyc)" | xargs rm -rf
 
 check: default linting
-	tests/cli.py
-	LD_LIBRARY_PATH=. $(NOSETESTS3) -v --with-coverage
+	PYTHONPATH=. LD_LIBRARY_PATH=. tests/cli.py
+	PYTHONPATH=. LD_LIBRARY_PATH=. $(NOSETESTS3) -v --with-coverage
 	tests/validate_docs.sh
 
 linting:
@@ -152,10 +152,10 @@
 %.html: %.md
 	pandoc -s --metadata title="Netplan reference" --toc -o $@ $<
 
-doc/netplan.5: doc/manpage-header.md doc/netplan.md doc/manpage-footer.md
-	pandoc -s -o $@ $^
+doc/netplan.5: doc/manpage-header.md doc/netplan-yaml.md doc/manpage-footer.md
+	pandoc -s -o $@ --from=markdown-smart $^
 
 %.8: %.md
-	pandoc -s -o $@ $^
+	pandoc -s -o $@ --from=markdown-smart $^
 
 .PHONY: clean
