=== debian/changelog ===
netplan.io (0.105-3) unstable; urgency=medium

  * d/patches: Migrate from deprecated nose to pytest (Closes: #1020079)
  * d/control: drop python3-nose B-D in favor of pytest (Closes: #1018420)

 -- Lukas Märdian <luk@slyon.de>  Mon, 02 Jan 2023 11:46:01 +0100

netplan.io (0.105-2) unstable; urgency=medium

  * d/copyright: Update metadata.
  * d/netplan.io.lintian-overrides: Fix new style override.
  * d/t/control: Make it work with old and new systemd[-resolved].
  * d/p/0002-buildsystem-meson-fixes.patch: improve meson build.
  * d/rules,d/control,d/libnetplan.io.install,d/libnetplan-dev.install:
    + Use meson build system and enable hardening flags
    + Ship netplan.pc file and move netplan's systemd generator to LIBEXECDIR

 -- Lukas Märdian <luk@slyon.de>  Wed, 24 Aug 2022 12:59:21 +0200

netplan.io (0.105-1) unstable; urgency=medium

  * Merge new upstream release 0.105 (from tag ubuntu/0.105-0ubuntu1)
    - Add support for VXLAN tunnels (#288), LP: #1764716
    - Add support for VRF devices (#285), LP: #1773522
    - Add support for InfiniBand (IPoIB) (#283), LP: #1848471
    - Allow key configuration for GRE tunnels (#274), LP: #1966476
    - Allow setting the regulatory domain (#281), LP: #1951586
    - Documentation improvements & restructuring (#287)
    - Add meson build system (#268)
    - Add abigail ABI compatibility checker (#269)
    - Update of Fedora RPM spec (#264)
    - CI improvements (#265, #282)
    - Netplan `set` uses the consolidated libnetplan YAML parser (#254)
    - Refactor ConfigManager to use the libnetplan YAML parser (#255)
    - New `netplan_netdef_get_filepath` API (#275)
    - Improve NetworkManager device management logic (#276), LP: #1951653
    Bug fixes:
    - Fix `apply` netdev rename/create race condition (#260), LP: #1962095
    - Fix `try` timeout (#271), LP: #1967084
    - Fix infinite timeouts in ovs-vsctl (#266), Closes: #1000137
    - Fix offload options using tristate setting (#270), LP: #1956264
    - Fix rendering of NetworkManager passthrough WPA (#279), LP: #1972800
    - Fix CLI crash on LibNetplanException (#286)
    - Fix NetworkManager internal DHCP client lease lookup (#284), LP: #1979674
  * Update symbols file for 0.105
  * d/patches/: Drop patches, applied upstream
  * d/patches/autopkgtest-fixes.patch: Refresh
  * d/p/autopkgtest-fixes.patch: Drop test quirks (PR#276)
  * d/control, d/tests/control: suggest/add iw for setting a regulatory domain

 -- Lukas Märdian <luk@slyon.de>  Thu, 18 Aug 2022 15:35:31 +0200

netplan.io (0.104-2) unstable; urgency=medium

  [ Lukas Märdian ]
  * d/control: Update Standards-Version, no changes needed.

  [ Andrej Shadura ]
  * Make autopkgtests depend on systemd-resolved (Closes: #1017347).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 14 Aug 2022 14:58:56 +0200

netplan.io (0.104-1) unstable; urgency=medium

  * Merge new upstream release 0.104 (from tag ubuntu/0.104-0ubuntu4)
    - Enable 'embedded-switch-mode' setting on SmartNICs
    - Permit multiple patterns for the driver globs in match (LP: #1918421)
    - Improve routing capabilities (LP: #1892272, LP: #1805038)
    - Support additional link offload options for networkd (LP: #1771740)
      + Backport offloading tristate patches (LP: #1956264)
        d/p/0003-Add-tristate-type-for-offload-options-LP-1956264-270.patch
    - Handle differing 'ip6-privacy' default value for NetworkManager
    - YAML state tracking for DBus API and 'netplan try' (LP: #1943120)
    - Support ConfigureWithoutCarrier ('ignore-carrier') for networkd
    - Cleanup Makefile, install only public headers
    - Netplan 'get' to use the libnetplan parser
    - libnetplan:
      + introduce the notion of NetplanState
      + use an explicit parser context
      + expose coherent generator APIs
      + improve overall error handling
      + consolidation of YAML parsing into the library
    ATTENTION:
    - Restrict the symbol export to a determined public API
      + We dropped some internal symbols from the API that we know have no
        external consumers, see upstream changelog for list of dropped symbols
    Bug fixes:
    - Fix removal of defunct OVS vlan interfaces (LP: #1959147)
    - Make ConfigManager cleanup on destruction (LP: #1959729)
    - Do not write unvalidated YAML from keyfile (LP: #1952967)
    - Disable tmp address generation for real with NetworkManager, LP: #1948027
    - Ignore empty YAML hints, delete files on 'set network=null', LP: #1946957
    - Wait for 'netplan try' to be ready in DBus API (LP: #1949893)
    - Initialize self.state in 'apply' (LP: #1949104)
    - Driver fallback to nl80211 and/or wext for wpa_supplicant (LP: #1814012)
    - Handle missing 'gateway' in keyfile routes, keep 'dns-search' fallback
    - Make it possible to unset a whole devtype subtree (LP: #1942930)
    - Fix memory leaks, dangling pointers & overall cleanup of API data
    - Upstream fix a4b70e7, to restart networkd if necessary (LP: #1962095)
    - Cherry-pick upstream fix (565bd0f) for ethernets autopkgtest:
      - d/p/0004-tests-ethernets-fix-autopkgtest-with-alternating-def.patch
    - Cherry-pick upstream fix (8934a1b) for NM WPA3 passthrough:
      - d/p/0005-nm-fix-rendering-of-password-for-unknown-passthrough.patch
  * d/control: Improved glib (v2.70+-) compat
  * d/control: Strict version dependency on libnetplan
  * d/control: Remove unnecessary constraints
  * Mute false positive lintian warning
  * d/libnetplan0.symbols: Add new symbols for 0.104
  * d/libnetplan0.symbols: Drop (internal) legacy symbols
  * d/t/control: add 'ethtool' test-dep for link offloading tests
  * Remaining changes:
    - refreshed d/p/ovs-timeout.patch
    - refreshed d/p/autopkgtest-fixes.patch
  * Dropped changes, applied upstream
    - d/p/0001-parse-nm-fix-32bit-format-string.patch
    - d/p/glib-2.70-compat.patch
    - d/p/nm-1.32.10-compat.patch

 -- Lukas Märdian <luk@slyon.de>  Tue, 14 Jun 2022 17:39:24 +0200


