=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: netplan.io
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
+Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>,
- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>
+ Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>,
+ Lukas Märdian <luk@slyon.de>
 Section: net
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -16,8 +16,10 @@
  libyaml-dev,
  libglib2.0-dev,
  uuid-dev,
- python3 (>= 3.1),
+ python3,
  python3-coverage <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-yaml <!nocheck>,
  python3-netifaces <!nocheck>,
  libsystemd-dev,
@@ -25,9 +27,9 @@
  dbus-x11 <!nocheck>,
  pyflakes3 <!nocheck>,
  pycodestyle <!nocheck> | pep8 <!nocheck>,
- python3-nose <!nocheck>,
  pandoc,
  openvswitch-switch <!nocheck>,
+ meson,
 Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
 Vcs-Browser: https://salsa.debian.org/debian/netplan.io
 Homepage: https://netplan.io/
@@ -47,8 +49,9 @@
 Suggests:
  network-manager | wpasupplicant,
  openvswitch-switch,
+ iw,
 Conflicts: netplan
-Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-1)
+Breaks: nplan (<< 0.34~)
 Replaces: nplan (<< 0.34~)
 Provides: nplan
 Description: YAML network configuration abstraction for various backends
