=== debian/tests/control ===
Test-Command: ./debian/tests/prepare-testbed.sh && python3 tests/integration/run.py --test=ovs
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  openvswitch-switch,
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed, skip-not-installable, flaky
Features: test-name=ovs

Test-Command: ./debian/tests/prepare-testbed.sh && python3 tests/integration/run.py --test=ethernets
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  ethtool,
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed, flaky
Features: test-name=ethernets

Test-Command: ./debian/tests/prepare-testbed.sh && python3 tests/integration/run.py --test=bridges
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed, flaky
Features: test-name=bridges

Test-Command: ./debian/tests/prepare-testbed.sh && python3 tests/integration/run.py --test=bonds
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed, flaky
Features: test-name=bonds

Test-Command: ./debian/tests/prepare-testbed.sh && python3 tests/integration/run.py --test=routing
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed
Features: test-name=routing

Test-Command: ./debian/tests/prepare-testbed.sh && python3 tests/integration/run.py --test=vlans
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed, flaky
Features: test-name=vlans

Test-Command: ./debian/tests/prepare-testbed.sh && python3 tests/integration/run.py --test=wifi
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  iw,
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed, flaky
Features: test-name=wifi

Test-Command: ./debian/tests/prepare-testbed.sh && python3 tests/integration/run.py --test=tunnels
