=== debian/changelog ===
netplan.io (0.106-2+deb12u1) bookworm; urgency=medium

  * debian/tests: Fix testbed timeout with systemd v252.15 (Closes: #1053496)

 -- Lukas Märdian <slyon@debian.org>  Tue, 24 Oct 2023 12:48:28 +0200

netplan.io (0.106-2) unstable; urgency=medium

  * Fix DBus .Config/.Get APIs using upstream commits (PR#331) (LP: #1997467)
  * Enable additional 'dbus' autopkgtests to check the regressed cases

 -- Lukas Märdian <luk@slyon.de>  Thu, 02 Mar 2023 17:40:56 +0100

netplan.io (0.106-1) unstable; urgency=medium

  * Merge new upstream release 0.106 (from 0.106-0ubuntu1)
    - New 'netplan status' CLI (#290)
    - API: implement APIs from the new specification (#298)
    - Check and fix non-inclusive laguange (#303)
    - Documentation improvements (using Diátaxis & RTD)
    - Match by PermanentMACAddress (#278)
    - Netplan api iterator (#306)
    - API: update netplan_delete_connection() (#322)
    - NM 1.40 compat & file permission fixes (#300), LP: #1862600, LP: #1997348
    - Migrate from (deprecated) nose to pytest (#302)
    - parse: Add the filepath to OVS ports netdefs (#295)
    - Check if the interface name is too long (#313), LP: #1988749
    - doc/examples: remove unnecessary route for IPv6 on-link gateways (#312)
    - Memory leak CI action (#321)
    - tests:base:ethernets: Improve stability of autopkgtests (#223)
    Bug fixes:
    - Fix some memory leaks (#297)
    - parser: plug a memory leak (#309)
    - src:parse: plug memory leaks in nullable handling (#319)
    - Fix 'netplan ip leases' crash (#301), LP: #1996941
    - tests: mock calls to systemctl (#314)
    - ctests: fix an integer conversion issue (#315)
    - docs: small fix on netplan-set doc (#316)
    - parser: return the correct error on failure (#308), LP: #2000324
    - apply: Fix crash when OVS is stopped (#307),LP: #1995598
    - networkd: make sure VXLAN is in the right section (#310), LP: #2000713
    - cli:set: update only specific origin-hint if given (#299), LP: #1997467
    - vxlan: convert some settings to tristate (#311), LP: #2000712
    - parser: check for route duplicates (#320), LP: #2003061
  * Update symbols file for 0.106
  * d/patches/: Drop patches, applied upstream
  * d/control: bump Standards-Version to 4.6.2, no changes needed
  * d/t/control: prepare Debian testbed
  * d/control: Add python3-dbus, python3-rich deps, also CMocka and Pytest B-Ds
  * d/watch: fix checking for upstream tags
  * d/copyright: Update for 2023
  * d/source/: add lintian-overrides
  * d/gbp.conf: use pristine-tar

 -- Lukas Märdian <luk@slyon.de>  Thu, 09 Feb 2023 12:09:04 +0100
