=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Lukas Märdian <luk@slyon.de>
 Section: net
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -18,10 +18,13 @@
  uuid-dev,
  python3,
  python3-coverage <!nocheck>,
+ python3-dbus <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
+ python3-rich <!nocheck>,
  python3-yaml <!nocheck>,
  python3-netifaces <!nocheck>,
+ libcmocka-dev,
  libsystemd-dev,
  systemd,
  dbus-x11 <!nocheck>,
@@ -43,6 +46,8 @@
  iproute2,
  libnetplan0 (= ${binary:Version}),
  python3,
+ python3-dbus,
+ python3-rich,
  python3-yaml,
  python3-netifaces,
  systemd (>= 248~),
